Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
ezpRestVersionedRoute Class Reference
Inheritance diagram for ezpRestVersionedRoute:

## Public Member Functions
| __construct (ezcMvcRoute $route, $version)
| matches (ezcMvcRequest $request)
| prefix ( $prefix)
| generateUrl (array $arguments=null)

## Protected Attributes
| $route
| $version

## Detailed Description

Route wrapping around existing instance of ezcMvcRoute providing multiple versions of it.

Definition at line 15 of file versioned_route.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestVersionedRoute::__construct | ( | ezcMvcRoute | $route,
|  |  | $version
| ) |  |

Definition at line 27 of file versioned_route.php.

References $route, $version, and version().

## Member Function Documentation

## ◆ generateUrl()

ezpRestVersionedRoute::generateUrl | ( | array | $arguments = `null` | ) |

Generates an URL back out of a route, including possible arguments

Parameters

  array | $arguments |

Definition at line 70 of file versioned_route.php.

References ezpRestPrefixFilterInterface\getApiPrefix(), ezpRestPrefixFilterInterface\getApiProviderName(), and version().

## ◆ matches()

ezpRestVersionedRoute::matches | ( | ezcMvcRequest | $request | ) |

Definition at line 33 of file versioned_route.php.

References ezpRestPrefixFilterInterface\getApiVersion(), and version().

## ◆ prefix()

ezpRestVersionedRoute::prefix | ( |  | $prefix | ) |

Adds a prefix to the route.

Parameters

  mixed | $prefix | Prefix to add, for example: '/blog'

Returns
  void

Definition at line 60 of file versioned_route.php.

## Member Data Documentation

## ◆ $route

ezpRestVersionedRoute::$route
| protected

Definition at line 20 of file versioned_route.php.

Referenced by __construct().

## ◆ $version

ezpRestVersionedRoute::$version
| protected

Definition at line 25 of file versioned_route.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- versioned_route.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.